package com.neusoft.smart.pos.advertisement.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class MediaStrategy implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer id;

	private Integer strategyId;

	private Integer deviceId;

	private Integer mediaResourceId;

	private Integer playLength;

	private Date showTimeBegin;

	private Date showTimeEnd;

	private Integer backgroundAudioId;

	private Integer status;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getStrategyId() {
		return strategyId;
	}

	public void setStrategyId(Integer strategyId) {
		this.strategyId = strategyId;
	}

	public Integer getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(Integer deviceId) {
		this.deviceId = deviceId;
	}

	public Integer getMediaResourceId() {
		return mediaResourceId;
	}

	public void setMediaResourceId(Integer mediaResourceId) {
		this.mediaResourceId = mediaResourceId;
	}

	public Integer getPlayLength() {
		return playLength;
	}

	public void setPlayLength(Integer playLength) {
		this.playLength = playLength;
	}

	public Date getShowTimeBegin() {
		return showTimeBegin;
	}

	public void setShowTimeBegin(Date showTimeBegin) {
		this.showTimeBegin = showTimeBegin;
	}

	public Date getShowTimeEnd() {
		return showTimeEnd;
	}

	public void setShowTimeEnd(Date showTimeEnd) {
		this.showTimeEnd = showTimeEnd;
	}

	public Integer getBackgroundAudioId() {
		return backgroundAudioId;
	}

	public void setBackgroundAudioId(Integer backgroundAudioId) {
		this.backgroundAudioId = backgroundAudioId;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}
}